
/**
 * @file weather_es.js
 * 
 * This file implements the AJAX call for the weather_es bolcks
 * 
 *  @author Pablo López
 */

Drupal.behaviors.weather_es = function(context) {
  Weather_es.updatePager('1',0);
  Weather_es.updatePager('1',1);
  $('a.weather_es').click(function(){
    var items = $(this).attr('id').split("-");
    Weather_es.pagerClick(items[2], items[1]);
  });
}

/**
 * Variable for Weather_es namespace
 */
var Weather_es = {};

/**
 * Function that implements the AJAX call
 */
Weather_es.updateBlock = function(page,which_block){
  $('#test-ajax-'+ which_block).load(Drupal.settings.basePath+'weather_es/reload',{ 'weather_es_page': page, 'which_block':which_block },function(){Weather_es.updatePager(page,which_block)});
}

/**
 * Click pager handler
 */
Weather_es.pagerClick = function(pager,which_block){
	Weather_es.updateBlock(pager,which_block);
}

/**
 * Update the Pager style after in the AJAX callback function
 */
Weather_es.updatePager = function(page,which_block){
  $('a[id^="weather_es_pager-'+which_block+'"]').each(function(){
    if (parseInt($(this).attr('id').split("-")[2]) == page){
      $(this).addClass('pager-current');
    }else{
      $(this).removeClass('pager-current');	
    }	
  })
}
